Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common.logging
Class IfsTextFormatter

    java.lang.Object
      java.util.logging.Formatter
          oracle.ifs.common.logging.IfsTextFormatter

Direct Known Subclasses:
  IfsMilliSecondFormatter, IfsServletTextFormatter, ShortTextFormatter

    public class IfsTextFormatter

extends java.util.logging.Formatter

Format log output as simple text adding in session identifier and user identifier.

(Unpublished)

Constructor Summary
`IfsTextFormatter()`

Method Summary
`protected void` | `addCallerInfo(java.util.logging.LogRecord logRecord, java.lang.StringBuffer sb)` Add info about the object that issued the log request.
`protected void` | `addCmsdkInfo(java.util.logging.LogRecord logRecord, java.lang.StringBuffer sb)` Add extra CMSDK info.
`protected void` | `addDate(java.util.logging.LogRecord logRecord, java.lang.StringBuffer sb)` Add the time to the log record.
`protected void` | `addMessage(java.util.logging.LogRecord logRecord, java.lang.StringBuffer sb)` Add the actual log message.
`protected void` | `addThrowable(java.util.logging.LogRecord logRecord, java.lang.StringBuffer sb)`
`java.lang.String` | `format(java.util.logging.LogRecord logRecord)` Format the given LogRecord.

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfsTextFormatter

    public IfsTextFormatter()

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord logRecord)

  Description copied from class: `IfsTextFormatter`
  Format the given LogRecord.

  Specified by:
    `format` in class `java.util.logging.Formatter`
  Parameters:
    `logRecord` - the log record to be formatted.
  Returns:
    a formatted log record

### addDate

    protected void addDate(java.util.logging.LogRecord logRecord,
                           java.lang.StringBuffer sb)

  Description copied from class: `IfsTextFormatter`
  Add the time to the log record.

  Parameters:
    `logRecord` - a LogRecord for the log request
    `sb` - a String Buffer that holds the formatted output.

### addCallerInfo

    protected void addCallerInfo(java.util.logging.LogRecord logRecord,
                                 java.lang.StringBuffer sb)

  Description copied from class: `IfsTextFormatter`
  Add info about the object that issued the log request.

  Parameters:
    `logRecord` - a LogRecord for the log request
    `sb` - a String Buffer that holds the formatted output.

### addCmsdkInfo

    protected void addCmsdkInfo(java.util.logging.LogRecord logRecord,
                                java.lang.StringBuffer sb)

  Description copied from class: `IfsTextFormatter`
  Add extra CMSDK info.

  Parameters:
    `logRecord` - a LogRecord for the log request
    `sb` - a String Buffer that holds the formatted output.

### addMessage

    protected void addMessage(java.util.logging.LogRecord logRecord,
                              java.lang.StringBuffer sb)

  Description copied from class: `IfsTextFormatter`
  Add the actual log message.

  Parameters:
    `logRecord` - a LogRecord for the log request
    `sb` - a String Buffer that holds the formatted output.

### addThrowable

    protected void addThrowable(java.util.logging.LogRecord logRecord,
                                java.lang.StringBuffer sb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD